在Exchange Server上升级Windows Server版本

为什么不能在Exchange Server上升级Windows Server的版本?

这是今天的有效限制吗? 例如,假设您正在运行Windows Server 2012并希望升级到2012 R2和Exchange Server 2013。

我知道最好的做法是获得新的硬件,安装新的操作系统,然后安装Exchange Server。 但是移动邮箱并检查一切是否正常是一件非常缓慢的工作,在大多数情况下,这不是一个可行的select。

Microsoft不支持升级Exchange服务器的操作系统。

假设您已经设置了DAG,则依赖于故障转移群集,而Windows将是尝试升级操作系统时遇到的最大问题之一。 Windows 2012 R2到即将发布的新Windows Server版本是允许升级到Windows故障转移群集的操作系统的第一个版本。

除此之外,还有很多与Exchange和OS中的各种Windows组件交织在一起。 其中一些组件的更改显着不同(IIS 6与IIS7非常不同,例如服务在较高版本中不存在或重命名的服务依赖关系),并尝试升级Exchange用户并考虑到任何与以前的版本集成的各种自定义/更改/第三方组件等等,使得从Exchange下面升级操作系统基本上是不可能的。

有人试图用Exchange 2007升级Windows 2003到2008的(较老的)例子可以在这里find。 虽然年龄较大,但总体思路是一致的。

它不起作用。

编辑:移动900GB的邮件和10个数据库其实并不困难。 假设您从Exch2007 +到2013,您可以在线移动它们。 使用批处理移动来分阶段邮箱并在您方便的时候完成。 如果您的基础系统被征税,节stream可以用来确保性能。